Fibre Channel (SAN)

Reply
New Contributor
Posts: 2
Registered: ‎02-10-2015

Re: Switch Explorer java exceptions

Thank You !! I had to uninstall ver 8 u31 , reboot, delete the files from c:\windows\program files (x86)\java

 

installed JRE 7 u25 - and launched the switch explorer from the command line.

 

cmd

javaws "http:\\[your switch ip address]\switchexplorer installed.html"

 

worked like a champ.

Visitor
Posts: 1
Registered: ‎03-27-2015

Re: Switch Explorer java exceptions

It seems like we might have to buy BNA???

Occasional Contributor
Posts: 5
Registered: ‎06-04-2013

Re: Switch Explorer java exceptions

hi Everyone,

 

Since Java 7u50 , there's a problem with accessing gui on Brocade switches.

Brocade FOS bases on Linux same like VMware vCenter Web client ,

 

Question:

>>> Why can't Brocade drop Java and create own Web client  like VMware did ???

 

Occasional Visitor
Posts: 1
Registered: ‎04-07-2015

Re: Switch Explorer java exceptions

I found a way that works well on my Windows 8 system.  I have the latest Java 1.8 installed and Java 1.7.0_75 installed in parallel.  Java 1.8 is the default java that my system uses, but I found a way to force the Brocade Web Tools to use Java 1.7.

 

The basic procedure is to download the jnlp file from the switch and modify it to require Java 1.7.  Also, verify that the java runtime 1.7 is added and enabled in the java control panel.

 

In your jnlp file.  Change the line that starts with

<j2se version="1.6+"

To

<j2se version="1.7"

 

Then save that jnlp file and double click it.  Use your saved jnlp file whenever you need to admin the switch.

 

Visitor
Posts: 1
Registered: ‎04-08-2015

Re: Switch Explorer java exceptions

Java 8 update didn't fix the problem. Neither on OSX 10.10.2 nor on Windows 7.

Di I have to give back the new Switches?

New Contributor
Posts: 3
Registered: ‎03-17-2015

Re: Switch Explorer java exceptions

I'm having the same issue even thou upgrading to the lastest firmware for Brocade 300 7.3.1a which in the release notes should support java 8 update 40.  Is there any fixes for this issue ?

HB
New Member
Posts: 1
Registered: ‎06-01-2015

Re: Switch Explorer java exceptions

Java 8 update 40 same bug "com.brocade.web.secsan white space not allowed" :-(
Fabric OS: v7.3.0b
switchType: 109.1


New Contributor
Posts: 3
Registered: ‎07-01-2015

Re: Switch Explorer java exceptions

[ Edited ]

I have 6 FC switches. 

 

2 Brocade 510, type 66.1

2 Brocade 5610, type 109.1

2 Brocade in IBM BladeChasis H, type 73.6 I don't recall what model that translates to

 

All are running FoS 7.3.0b.  I only get the white space error an the fc switches that are in the blade chassis.  I am running jre 8.40.  All switches work if i go back to jre 7.80

 

I have no idea why 4 switches work, and 2 do not.  I was about to install 7.3.1a, but looks like some are experiencing the same issue with that FoS as well

Occasional Contributor
Posts: 8
Registered: ‎02-10-2011

Re: Switch Explorer java exceptions

[ Edited ]

Hi all,

 

I battled with this issue ever since Java 7 was upgraded from release 25 to release 40, where the big security shake-up took place. I've managed to get by with Java 7 release 25 up until now but there comes a point where you simply have to install version 8 for other things to work. I came up with a simple get-around which may not be for everyone.

 

We have two remaining Brocade 4100 (v6.4.3f3) and an 200e (v6.2.2) switch. When launching switchexplorer you can save rather than execute the html script on the switch. If you then text edit the html you will likely see two lines that start with:

 

<jnlp spec="1.6+"

<j2se version="1.6+"

 

The plus sign tells the script to run any version of Java from 6 upwards, so if you have version 8 installed it will use it. My get-around was to install Java 7 release 25 and modify the html to be:

 

<jnlp spec="7.0"

<j2se version="1.7"

 

I then log into the switches by executing the modified html rather than the switchexplorer html. By doing this I can install Java 8 happily for all my other requriements, whilst still forcing the Brocade log in to use version 7 which I leave at release 25.

 

In my case I also forced execution of the html using the Java 7 version of JAVAWS.EXE, such as:

 

"C:\Program Files\Java\jre7\bin\javaws.exe" "C:\SCRIPTS\BrocadeSwitch1.html"

 

Another thing to note is that installing version 8 doesn't necessarily update JAVA.EXE, JAVAW.EXE & JAVAWS.EXE in the C:\WINDOWS\SYSTEM32 folder. I had to overwrite them with versions from C:\Program Files\Java\jre1.8.0_51\bin to ensure that Java 8 was the default version for everyting but my Brocade switches.

 

New Contributor
Posts: 2
Registered: ‎10-12-2015

Re: Switch Explorer java exceptions

The below is working for me as well..

 

javaws http://[your switch ip address]/switchExplorer_installed.html

 

Thank you All... 

 

 

 

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.

vADC is now Pulse Secure
Download FREE NVMe eBook